import endpoints/accounts
import endpoints/data
import endpoints/global
import env
import gleeunit

pub fn main() -> Nil {
  gleeunit.main()
}

pub fn status_test() {
  let assert Ok(_) = global.get_server_status()
}

pub fn error_codes_test() {
  let assert Ok(_) = global.list_error_codes()
}

pub fn account_test() {
  let assert Ok(_) = accounts.get_account(env.load_dotenv_unsafe().agent_token)
}

pub fn supply_chain_test() {
  let assert Ok(_) = data.get_supply_chain()
}
